<?php

/*
 * PAYPAL SUBSCRIPTION MANAGER
 *
 * @package PaypalSubscriptionManager
 * @author  Michael J. Pawlowsky <mikep@mi-software.com>
 * @copyright Copyright &copy; 2005, Ultimate Internet Marketing
 * @version $Id: Config.class.php,v 1.2 2005/09/07 21:14:13 mikep Exp $;
 *
 * Created: Wed Sep 07 07:02:00 EDT 2005 07:02:00
 * Last Modified: $Date: 2005/09/07 21:14:13 $
 * Revision: $Rev:$
 *
 */

	require_once('Db.class.php');

class Forms{

	function Forms(){
	}


	function validateEmail($email, $check_dns = false){

		if((preg_match('/(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/', $email)) || (preg_match('/^.+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,3}|[0-9]{1,3})(\]?)$/', $email)))
  		{
    		if($check_dns)
    		{
      			$host = explode('@', $email);
      			// Check for MX record
      			if( checkdnsrr($host[1], 'MX') ) return true;
      			// Check for A record
      			if( checkdnsrr($host[1], 'A') ) return true;
      			// Check for CNAME record
      			if( checkdnsrr($host[1], 'CNAME') ) return true;
    		} else {
      			return true;
    		}
  		}
  		return false;
	}



	function countriesArray(){

		$countries = array();

		$sql = new MySQL_class();
		$sql->Create();

		$qry=' SELECT countries_iso_code_2, countries_name FROM tblCountries ';

		$sql->Query($qry);

		for ($i=0; $i<$sql->rows; $i++){
			$sql->Fetch($i);
			$countries[$sql->data['countries_iso_code_2']] = $sql->data['countries_name'];
		}
		return ($countries);
	}


	function statusArray(){

		$status = array();

		$sql = new MySQL_class();
		$sql->Create();

		$qry=' SELECT status_id, status_name FROM tblUserStatus ';

		$sql->Query($qry);

		for ($i=0; $i<$sql->rows; $i++){
			$sql->Fetch($i);
			$status[$sql->data['status_id']] = $sql->data['status_name'];
		}
		return ($status);
	}




	function statesArray(){

		$states = array();

		$sql = new MySQL_class();
		$sql->Create();

		$qry=' SELECT states_name FROM tblStates ';

		$sql->Query($qry);

		for ($i=0; $i<$sql->rows; $i++){
			$sql->Fetch($i);
			$states[$sql->data['states_name']] = $sql->data['states_name'];
		}
		return ($states);
	}


	function numArray($min=0, $max=10){
		$nums = array();
		for($i=$min; $i<=$max; $i++){
				$nums[$i]=$i;
		}
		return($nums);
	}


	function post2hidden(){
		$str = '';
		foreach ($_POST as $key=>$val){
			$str .= '<input type="hidden" name="' . $key . '" value="' . $val . '">' . chr(10);
		}
		return($str);
	}


	function interval2String($interval){
		switch ($interval) {
			case 'D':
				return ('day');
			break;
			case 'W':
				return ('week');
			break;
			case 'M':
				return ('month');
			break;
			case 'Y':
				return ('year');
			break;
			default:
				return('unknown');
			break;
		}
	}


}
?>