
<script type="text/javascript" src="/js/FormValidation.js"></script>

{literal}
<script type="text/javascript">

function validateOnSubmit(dopw) {

	dopw = dopw || 0;

    var errs=0;
    // execute all element validations in reverse order, so focus gets
    // set to the first one in error.

    if(dopw==1){
    	if (!validatePasswords  (document.forms.frmRegistration.user_password, document.forms.frmRegistration.user_password_confirmation, 'inf_user_password', true)) errs += 1;
    }

    if (!validateEmail      (document.forms.frmRegistration.user_email, 'inf_user_email', true)) errs += 1;
    if (!validatePresent    (document.forms.frmRegistration.user_lastname,  'inf_user_lastname'))        errs += 1;
    if (!validatePresent    (document.forms.frmRegistration.user_firstname,  'inf_user_firstname'))        errs += 1;

    if (errs > 1)  alert('There are fields that need correction before saving');
    if (errs == 1) alert('There is a field that needs correction before saving');

    return (errs==0);
};
</script>

{/literal}


<h2>
Member Registration
</h2>

<form id="frmRegistration" name="frmRegistration" action="index.php" onsubmit="return validateOnSubmit({if $action=='insert'}1{else}0{/if})" method="post">
<input type="hidden" name="action" value="{$action}" />


<table border="0" width="600" style="margin-left: auto; margin-right: auto;">

<tr>
<td>
<hr size="1" />
</td>
</tr>

<tr>
<td align="center" >

{if $msg != ''}
<div class="error" style="margin: 10px;">
{$msg}
</div>
{/if}

{* personal_info *}
<div class="regSubTitle">Personal Information</div>
<div id="personal_info" class="infoBoxGrey">
	<table border="0" width="95%">
	<tr>
	<td width="25%" class="label" align="left">First Name: </td>
	<td align="left">
	<input type="text" id="user_firstname" name="user_firstname" size="32" maxlength="32" onchange="validatePresent(this, 'inf_user_firstname', true);" value="{$user->user_firstname}" />
	&nbsp;<span id="inf_user_firstname" class="required">*</span>
	</td>
	</tr>

	<tr>
	<td class="label" align="left">Last Name: </td>
	<td align="left">
	<input type="text" id="user_lastname" name="user_lastname" size="32" maxlength="32" onchange="validatePresent(this, 'inf_user_lastname', true);"  value="{$user->user_lastname}" />
	&nbsp;<span id="inf_user_lastname" class="required">*</span>
	</td>
	</tr>

	<tr>
	<td class="label" align="left">E-Mail: </td>
	<td align="left">
	<input type="text" id="user_email" name="user_email" size="32" maxlength="96" onchange="validateEmail(this, 'inf_user_email', true);" value="{$user->user_email}" />
	&nbsp;<span id="inf_user_email" class="required">*</span>
	</td>
	</tr>

	<tr>
	<td width="25%" class="label" align="left">Telephone Number: </td>
	<td align="left"><input type="text" id="user_telephone" name="user_telephone" size="32" maxlength="32" value="{$user->user_telephone}" />
	</td>
	</tr>

	<tr>
	<td class="label" align="left">Fax Number: </td>
	<td align="left">
	<input type="text" id="user_fax" name="user_fax" size="32" maxlength="32" value="{$user->user_fax}" />
	</td>
	</tr>

	</table>
</div>
{* /personal_info *}


{* address *}
<div class="regSubTitle">Address</div>
<div id="address_info" class="infoBoxGrey">
	<table border="0" width="95%">

	<tr>
	<td width="25%" class="label" align="left">Street: </td>
	<td align="left">
	<input type="text" id="user_address" name="user_address" size="40" maxlength="64" value="{$user->user_address}" />
	</td>
	</tr>

	<tr>
	<td></td>
	<td align="left">
	<input type="text" id="user_address2" name="user_address2" size="40" maxlength="64" value="{$user->user_address2}" />
	</td>
	</tr>

	<tr>
	<td class="label" align="left">City: </td>
	<td align="left">
	<input type="text" id="user_city" name="user_city" size="32" maxlength="32"  value="{$user->user_city}" />
	</td>
	</tr>

	<tr>
	<td class="label" align="left">State: </td>
	<td align="left">
	<select id="user_state" name="user_state">
	<option value="">Please select a state</option>
	{html_options options=$states selected=$user->user_state}
	</select>
	</td>
	</tr>

	<tr>
	<td class="label" align="left">Country: </td>
	<td align="left">
	<select id="user_country" name="user_country">
	<option value="">Please select a country</option>
	{html_options options=$countries selected=$user->user_country}
	</select>
	</tr>

	<tr>
	<td class="label" align="left">Zip Code: </td>
	<td align="left">
	<input type="text" id="user_postcode" name="user_postcode" size="10" maxlength="10" value="{$user->user_postcode}" />
	</td>
	</tr>

	</table>
</div>
{* /address *}

{* password *}
<div class="regSubTitle">Password{if $action=='update'}&nbsp;-&nbsp;(Leave blank to keep your previous password){/if}</div>
<div id="password_info" class="infoBoxGrey">
	<table border="0" width="95%">

	<tr>
	<td width="25%" class="label" align="left">Password: </td>
	<td align="left">
	<input id="user_password" name="user_password" type="password" size="20" maxlength="40" />
	&nbsp;<span class="required" id="inf_user_password">* Min. 5 chars.</span>
	</td>
	</tr>

	<tr>
	<td class="label" align="left" valign="top">Password Confirmation: </td>
	<td align="left" valign="top">
	<input type="password" id="user_password_confirmation" name="user_password_confirmation" size="20" maxlength="40" onchange="validatePasswords(this, document.frmRegistration.user_password, 'inf_user_password', true);" />
	&nbsp;<span class="required" id="inf_user_password_confirmation">*</span>
	</td>
	</tr>
	</table>
</div>
{* /password *}

{if !$has_access}
{* memberships *}
<div class="regSubTitle">Membership</div>
<div id="password_info" class="infoBoxGrey">
	<table border="0" width="95%">

	<tr>
	<td width="25%" class="label" align="left" valign="top">Memberships: </td>
	<td align="left">
	{if $period1_active}
	<input id="user_membership" name="user_membership" type="radio" value="period1" />
	Trial Membership ${$amount1} for {$period1_value} {$period1_interval}{if $period1_value > 1}s{/if}
	<br />
	{/if}
	{if $period2_active}
	<input id="user_membership" name="user_membership" type="radio" value="period2" />
	Trial Membership ${$amount2} for {$period2_value} {$period2_interval}{if $period1_value > 1}s{/if}
	<br />
	{/if}
	<input id="user_membership" name="user_membership" type="radio" value="period3" checked />
	Membership ${$amount3} for {$period3_value} {$period3_interval}{if $period3_value > 1}s{/if}
	<br />
	</td>
	</tr>
	</table>
</div>
{* /memberships *}


{/if}


<tr>
<td>
<hr size="1" />
</td>
</tr>


<tr>
<td>
<div align="right">
    	<input type="submit" name="submit" id="submit" value="Save" />
    	<input type="button" onclick="history.go(-1);" value="Back" />
</div>

<p class="small" style="text-align: left;">
		<span class="red">*</span>&nbsp;Required field<br />
</p>
</td>
</tr>

</table>


</form>
